Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.events
Class DOMKeyEvent

    java.lang.Object
      org.apache.batik.dom.events.AbstractEvent
          org.apache.batik.dom.events.DOMUIEvent
              org.apache.batik.dom.events.DOMKeyEvent

All Implemented Interfaces:
  Cloneable, OriginalEvent, Event, UIEvent

    public class DOMKeyEvent

extends DOMUIEvent

The `KeyEvent` interface provides specific contextual information associated with Key events.

Since:
  DOM Level 2 (Working Draft)

Field Summary
`protected boolean` | `altKey`
`static int` | `CHAR_UNDEFINED`
`protected int` | `charCode`
`protected boolean` | `ctrlKey`
`static int` | `DOM_VK_0`
`static int` | `DOM_VK_1`
`static int` | `DOM_VK_2`
`static int` | `DOM_VK_3`
`static int` | `DOM_VK_4`
`static int` | `DOM_VK_5`
`static int` | `DOM_VK_6`
`static int` | `DOM_VK_7`
`static int` | `DOM_VK_8`
`static int` | `DOM_VK_9`
`static int` | `DOM_VK_A`
`static int` | `DOM_VK_ACCEPT`
`static int` | `DOM_VK_ADD`
`static int` | `DOM_VK_AGAIN`
`static int` | `DOM_VK_ALL_CANDIDATES`
`static int` | `DOM_VK_ALPHANUMERIC`
`static int` | `DOM_VK_ALT`
`static int` | `DOM_VK_ALT_GRAPH`
`static int` | `DOM_VK_AMPERSAND`
`static int` | `DOM_VK_ASTERISK`
`static int` | `DOM_VK_AT`
`static int` | `DOM_VK_B`
`static int` | `DOM_VK_BACK_QUOTE`
`static int` | `DOM_VK_BACK_SLASH`
`static int` | `DOM_VK_BACK_SPACE`
`static int` | `DOM_VK_BRACELEFT`
`static int` | `DOM_VK_BRACERIGHT`
`static int` | `DOM_VK_C`
`static int` | `DOM_VK_CANCEL`
`static int` | `DOM_VK_CAPS_LOCK`
`static int` | `DOM_VK_CIRCUMFLEX`
`static int` | `DOM_VK_CLEAR`
`static int` | `DOM_VK_CLOSE_BRACKET`
`static int` | `DOM_VK_CODE_INPUT`
`static int` | `DOM_VK_COLON`
`static int` | `DOM_VK_COMMA`
`static int` | `DOM_VK_COMPOSE`
`static int` | `DOM_VK_CONTROL`
`static int` | `DOM_VK_CONVERT`
`static int` | `DOM_VK_COPY`
`static int` | `DOM_VK_CUT`
`static int` | `DOM_VK_D`
`static int` | `DOM_VK_DEAD_ABOVEDOT`
`static int` | `DOM_VK_DEAD_ABOVERING`
`static int` | `DOM_VK_DEAD_ACUTE`
`static int` | `DOM_VK_DEAD_BREVE`
`static int` | `DOM_VK_DEAD_CARON`
`static int` | `DOM_VK_DEAD_CEDILLA`
`static int` | `DOM_VK_DEAD_CIRCUMFLEX`
`static int` | `DOM_VK_DEAD_DIAERESIS`
`static int` | `DOM_VK_DEAD_DOUBLEACUTE`
`static int` | `DOM_VK_DEAD_GRAVE`
`static int` | `DOM_VK_DEAD_IOTA`
`static int` | `DOM_VK_DEAD_MACRON`
`static int` | `DOM_VK_DEAD_OGONEK`
`static int` | `DOM_VK_DEAD_SEMIVOICED_SOUND`
`static int` | `DOM_VK_DEAD_TILDE`
`static int` | `DOM_VK_DEAD_VOICED_SOUND`
`static int` | `DOM_VK_DECIMAL`
`static int` | `DOM_VK_DELETE`
`static int` | `DOM_VK_DIVIDE`
`static int` | `DOM_VK_DOLLAR`
`static int` | `DOM_VK_DOWN`
`static int` | `DOM_VK_E`
`static int` | `DOM_VK_END`
`static int` | `DOM_VK_ENTER`
`static int` | `DOM_VK_EQUALS`
`static int` | `DOM_VK_ESCAPE`
`static int` | `DOM_VK_EURO_SIGN`
`static int` | `DOM_VK_EXCLAMATION_MARK`
`static int` | `DOM_VK_F`
`static int` | `DOM_VK_F1`
`static int` | `DOM_VK_F10`
`static int` | `DOM_VK_F11`
`static int` | `DOM_VK_F12`
`static int` | `DOM_VK_F13`
`static int` | `DOM_VK_F14`
`static int` | `DOM_VK_F15`
`static int` | `DOM_VK_F16`
`static int` | `DOM_VK_F17`
`static int` | `DOM_VK_F18`
`static int` | `DOM_VK_F19`
`static int` | `DOM_VK_F2`
`static int` | `DOM_VK_F20`
`static int` | `DOM_VK_F21`
`static int` | `DOM_VK_F22`
`static int` | `DOM_VK_F23`
`static int` | `DOM_VK_F24`
`static int` | `DOM_VK_F3`
`static int` | `DOM_VK_F4`
`static int` | `DOM_VK_F5`
`static int` | `DOM_VK_F6`
`static int` | `DOM_VK_F7`
`static int` | `DOM_VK_F8`
`static int` | `DOM_VK_F9`
`static int` | `DOM_VK_FINAL`
`static int` | `DOM_VK_FIND`
`static int` | `DOM_VK_FULL_WIDTH`
`static int` | `DOM_VK_G`
`static int` | `DOM_VK_GREATER`
`static int` | `DOM_VK_H`
`static int` | `DOM_VK_HALF_WIDTH`
`static int` | `DOM_VK_HELP`
`static int` | `DOM_VK_HIRAGANA`
`static int` | `DOM_VK_HOME`
`static int` | `DOM_VK_I`
`static int` | `DOM_VK_INSERT`
`static int` | `DOM_VK_INVERTED_EXCLAMATION_MARK`
`static int` | `DOM_VK_J`
`static int` | `DOM_VK_JAPANESE_HIRAGANA`
`static int` | `DOM_VK_JAPANESE_KATAKANA`
`static int` | `DOM_VK_JAPANESE_ROMAN`
`static int` | `DOM_VK_K`
`static int` | `DOM_VK_KANA`
`static int` | `DOM_VK_KANJI`
`static int` | `DOM_VK_KATAKANA`
`static int` | `DOM_VK_KP_DOWN`
`static int` | `DOM_VK_KP_LEFT`
`static int` | `DOM_VK_KP_RIGHT`
`static int` | `DOM_VK_KP_UP`
`static int` | `DOM_VK_L`
`static int` | `DOM_VK_LEFT`
`static int` | `DOM_VK_LEFT_PARENTHESIS`
`static int` | `DOM_VK_LESS`
`static int` | `DOM_VK_M`
`static int` | `DOM_VK_META`
`static int` | `DOM_VK_MINUS`
`static int` | `DOM_VK_MODECHANGE`
`static int` | `DOM_VK_MULTIPLY`
`static int` | `DOM_VK_N`
`static int` | `DOM_VK_NONCONVERT`
`static int` | `DOM_VK_NUM_LOCK`
`static int` | `DOM_VK_NUMBER_SIGN`
`static int` | `DOM_VK_NUMPAD0`
`static int` | `DOM_VK_NUMPAD1`
`static int` | `DOM_VK_NUMPAD2`
`static int` | `DOM_VK_NUMPAD3`
`static int` | `DOM_VK_NUMPAD4`
`static int` | `DOM_VK_NUMPAD5`
`static int` | `DOM_VK_NUMPAD6`
`static int` | `DOM_VK_NUMPAD7`
`static int` | `DOM_VK_NUMPAD8`
`static int` | `DOM_VK_NUMPAD9`
`static int` | `DOM_VK_O`
`static int` | `DOM_VK_OPEN_BRACKET`
`static int` | `DOM_VK_P`
`static int` | `DOM_VK_PAGE_DOWN`
`static int` | `DOM_VK_PAGE_UP`
`static int` | `DOM_VK_PASTE`
`static int` | `DOM_VK_PAUSE`
`static int` | `DOM_VK_PERIOD`
`static int` | `DOM_VK_PLUS`
`static int` | `DOM_VK_PREVIOUS_CANDIDATE`
`static int` | `DOM_VK_PRINTSCREEN`
`static int` | `DOM_VK_PROPS`
`static int` | `DOM_VK_Q`
`static int` | `DOM_VK_QUOTE`
`static int` | `DOM_VK_QUOTEDBL`
`static int` | `DOM_VK_R`
`static int` | `DOM_VK_RIGHT`
`static int` | `DOM_VK_RIGHT_PARENTHESIS`
`static int` | `DOM_VK_ROMAN_CHARACTERS`
`static int` | `DOM_VK_S`
`static int` | `DOM_VK_SCROLL_LOCK`
`static int` | `DOM_VK_SEMICOLON`
`static int` | `DOM_VK_SEPARATER`
`static int` | `DOM_VK_SHIFT`
`static int` | `DOM_VK_SLASH`
`static int` | `DOM_VK_SPACE`
`static int` | `DOM_VK_STOP`
`static int` | `DOM_VK_SUBTRACT`
`static int` | `DOM_VK_T`
`static int` | `DOM_VK_TAB`
`static int` | `DOM_VK_U`
`static int` | `DOM_VK_UNDEFINED`
`static int` | `DOM_VK_UNDERSCORE`
`static int` | `DOM_VK_UNDO`
`static int` | `DOM_VK_UP`
`static int` | `DOM_VK_V`
`static int` | `DOM_VK_W`
`static int` | `DOM_VK_X`
`static int` | `DOM_VK_Y`
`static int` | `DOM_VK_Z`
`protected int` | `keyCode`
`protected boolean` | `metaKey`
`protected boolean` | `shiftKey`

Fields inherited from class org.apache.batik.dom.events.AbstractEvent
`bubbleLimit, cancelable, currentTarget, defaultActions, eventPhase, isBubbling, namespaceURI, originalEvent, preventDefault, stopImmediatePropagation, stopPropagation, target, timeStamp, type`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`DOMKeyEvent()`

Method Summary
`boolean` | `getAltKey()` Returns whether the 'alt' key was depressed during the firing of the event.
`int` | `getCharCode()` Returns the value of the Unicode character associated with the depressed key if the event is a key event.
`boolean` | `getCtrlKey()` Returns whether the 'ctrl' key was depressed during the firing of the event.
`int` | `getKeyCode()` Returns the virtual key code value of the key which was depressed if the event is a key event.
`boolean` | `getMetaKey()` Returns whether the 'meta' key was depressed during the firing of the event.
`boolean` | `getShiftKey()` Returns whether the 'shift' key was depressed during the firing of the event.
`void` | `initKeyEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, boolean ctrlKeyArg, boolean altKeyArg, boolean shiftKeyArg, boolean metaKeyArg, int keyCodeArg, int charCodeArg, AbstractView viewArg)` Initializes this KeyEvent.

Methods inherited from class org.apache.batik.dom.events.DOMUIEvent
`getDetail, getView, initUIEvent, initUIEventNS, split`

Methods inherited from class org.apache.batik.dom.events.AbstractEvent
`addDefaultAction, clone, cloneEvent, getBubbleLimit, getBubbles, getCancelable, getCurrentTarget, getDefaultActions, getDefaultPrevented, getEventPhase, getNamespaceURI, getOriginalEvent, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, setBubbleLimit, stopImmediatePropagation, stopPropagation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getDefaultPrevented, getEventPhase, getNamespaceURI, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, stopImmediatePropagation, stopPropagation`

Field Detail

### CHAR_UNDEFINED

    public static final int CHAR_UNDEFINED

See Also:
  Constant Field Values

### DOM_VK_0

    public static final int DOM_VK_0

See Also:
  Constant Field Values

### DOM_VK_1

    public static final int DOM_VK_1

See Also:
  Constant Field Values

### DOM_VK_2

    public static final int DOM_VK_2

See Also:
  Constant Field Values

### DOM_VK_3

    public static final int DOM_VK_3

See Also:
  Constant Field Values

### DOM_VK_4

    public static final int DOM_VK_4

See Also:
  Constant Field Values

### DOM_VK_5

    public static final int DOM_VK_5

See Also:
  Constant Field Values

### DOM_VK_6

    public static final int DOM_VK_6

See Also:
  Constant Field Values

### DOM_VK_7

    public static final int DOM_VK_7

See Also:
  Constant Field Values

### DOM_VK_8

    public static final int DOM_VK_8

See Also:
  Constant Field Values

### DOM_VK_9

    public static final int DOM_VK_9

See Also:
  Constant Field Values

### DOM_VK_A

    public static final int DOM_VK_A

See Also:
  Constant Field Values

### DOM_VK_ACCEPT

    public static final int DOM_VK_ACCEPT

See Also:
  Constant Field Values

### DOM_VK_ADD

    public static final int DOM_VK_ADD

See Also:
  Constant Field Values

### DOM_VK_AGAIN

    public static final int DOM_VK_AGAIN

See Also:
  Constant Field Values

### DOM_VK_ALL_CANDIDATES

    public static final int DOM_VK_ALL_CANDIDATES

See Also:
  Constant Field Values

### DOM_VK_ALPHANUMERIC

    public static final int DOM_VK_ALPHANUMERIC

See Also:
  Constant Field Values

### DOM_VK_ALT

    public static final int DOM_VK_ALT

See Also:
  Constant Field Values

### DOM_VK_ALT_GRAPH

    public static final int DOM_VK_ALT_GRAPH

See Also:
  Constant Field Values

### DOM_VK_AMPERSAND

    public static final int DOM_VK_AMPERSAND

See Also:
  Constant Field Values

### DOM_VK_ASTERISK

    public static final int DOM_VK_ASTERISK

See Also:
  Constant Field Values

### DOM_VK_AT

    public static final int DOM_VK_AT

See Also:
  Constant Field Values

### DOM_VK_B

    public static final int DOM_VK_B

See Also:
  Constant Field Values

### DOM_VK_BACK_QUOTE

    public static final int DOM_VK_BACK_QUOTE

See Also:
  Constant Field Values

### DOM_VK_BACK_SLASH

    public static final int DOM_VK_BACK_SLASH

See Also:
  Constant Field Values

### DOM_VK_BACK_SPACE

    public static final int DOM_VK_BACK_SPACE

See Also:
  Constant Field Values

### DOM_VK_BRACELEFT

    public static final int DOM_VK_BRACELEFT

See Also:
  Constant Field Values

### DOM_VK_BRACERIGHT

    public static final int DOM_VK_BRACERIGHT

See Also:
  Constant Field Values

### DOM_VK_C

    public static final int DOM_VK_C

See Also:
  Constant Field Values

### DOM_VK_CANCEL

    public static final int DOM_VK_CANCEL

See Also:
  Constant Field Values

### DOM_VK_CAPS_LOCK

    public static final int DOM_VK_CAPS_LOCK

See Also:
  Constant Field Values

### DOM_VK_CIRCUMFLEX

    public static final int DOM_VK_CIRCUMFLEX

See Also:
  Constant Field Values

### DOM_VK_CLEAR

    public static final int DOM_VK_CLEAR

See Also:
  Constant Field Values

### DOM_VK_CLOSE_BRACKET

    public static final int DOM_VK_CLOSE_BRACKET

See Also:
  Constant Field Values

### DOM_VK_CODE_INPUT

    public static final int DOM_VK_CODE_INPUT

See Also:
  Constant Field Values

### DOM_VK_COLON

    public static final int DOM_VK_COLON

See Also:
  Constant Field Values

### DOM_VK_COMMA

    public static final int DOM_VK_COMMA

See Also:
  Constant Field Values

### DOM_VK_COMPOSE

    public static final int DOM_VK_COMPOSE

See Also:
  Constant Field Values

### DOM_VK_CONTROL

    public static final int DOM_VK_CONTROL

See Also:
  Constant Field Values

### DOM_VK_CONVERT

    public static final int DOM_VK_CONVERT

See Also:
  Constant Field Values

### DOM_VK_COPY

    public static final int DOM_VK_COPY

See Also:
  Constant Field Values

### DOM_VK_CUT

    public static final int DOM_VK_CUT

See Also:
  Constant Field Values

### DOM_VK_D

    public static final int DOM_VK_D

See Also:
  Constant Field Values

### DOM_VK_DEAD_ABOVEDOT

    public static final int DOM_VK_DEAD_ABOVEDOT

See Also:
  Constant Field Values

### DOM_VK_DEAD_ABOVERING

    public static final int DOM_VK_DEAD_ABOVERING

See Also:
  Constant Field Values

### DOM_VK_DEAD_ACUTE

    public static final int DOM_VK_DEAD_ACUTE

See Also:
  Constant Field Values

### DOM_VK_DEAD_BREVE

    public static final int DOM_VK_DEAD_BREVE

See Also:
  Constant Field Values

### DOM_VK_DEAD_CARON

    public static final int DOM_VK_DEAD_CARON

See Also:
  Constant Field Values

### DOM_VK_DEAD_CEDILLA

    public static final int DOM_VK_DEAD_CEDILLA

See Also:
  Constant Field Values

### DOM_VK_DEAD_CIRCUMFLEX

    public static final int DOM_VK_DEAD_CIRCUMFLEX

See Also:
  Constant Field Values

### DOM_VK_DEAD_DIAERESIS

    public static final int DOM_VK_DEAD_DIAERESIS

See Also:
  Constant Field Values

### DOM_VK_DEAD_DOUBLEACUTE

    public static final int DOM_VK_DEAD_DOUBLEACUTE

See Also:
  Constant Field Values

### DOM_VK_DEAD_GRAVE

    public static final int DOM_VK_DEAD_GRAVE

See Also:
  Constant Field Values

### DOM_VK_DEAD_IOTA

    public static final int DOM_VK_DEAD_IOTA

See Also:
  Constant Field Values

### DOM_VK_DEAD_MACRON

    public static final int DOM_VK_DEAD_MACRON

See Also:
  Constant Field Values

### DOM_VK_DEAD_OGONEK

    public static final int DOM_VK_DEAD_OGONEK

See Also:
  Constant Field Values

### DOM_VK_DEAD_SEMIVOICED_SOUND

    public static final int DOM_VK_DEAD_SEMIVOICED_SOUND

See Also:
  Constant Field Values

### DOM_VK_DEAD_TILDE

    public static final int DOM_VK_DEAD_TILDE

See Also:
  Constant Field Values

### DOM_VK_DEAD_VOICED_SOUND

    public static final int DOM_VK_DEAD_VOICED_SOUND

See Also:
  Constant Field Values

### DOM_VK_DECIMAL

    public static final int DOM_VK_DECIMAL

See Also:
  Constant Field Values

### DOM_VK_DELETE

    public static final int DOM_VK_DELETE

See Also:
  Constant Field Values

### DOM_VK_DIVIDE

    public static final int DOM_VK_DIVIDE

See Also:
  Constant Field Values

### DOM_VK_DOLLAR

    public static final int DOM_VK_DOLLAR

See Also:
  Constant Field Values

### DOM_VK_DOWN

    public static final int DOM_VK_DOWN

See Also:
  Constant Field Values

### DOM_VK_E

    public static final int DOM_VK_E

See Also:
  Constant Field Values

### DOM_VK_END

    public static final int DOM_VK_END

See Also:
  Constant Field Values

### DOM_VK_ENTER

    public static final int DOM_VK_ENTER

See Also:
  Constant Field Values

### DOM_VK_EQUALS

    public static final int DOM_VK_EQUALS

See Also:
  Constant Field Values

### DOM_VK_ESCAPE

    public static final int DOM_VK_ESCAPE

See Also:
  Constant Field Values

### DOM_VK_EURO_SIGN

    public static final int DOM_VK_EURO_SIGN

See Also:
  Constant Field Values

### DOM_VK_EXCLAMATION_MARK

    public static final int DOM_VK_EXCLAMATION_MARK

See Also:
  Constant Field Values

### DOM_VK_F

    public static final int DOM_VK_F

See Also:
  Constant Field Values

### DOM_VK_F1

    public static final int DOM_VK_F1

See Also:
  Constant Field Values

### DOM_VK_F10

    public static final int DOM_VK_F10

See Also:
  Constant Field Values

### DOM_VK_F11

    public static final int DOM_VK_F11

See Also:
  Constant Field Values

### DOM_VK_F12

    public static final int DOM_VK_F12

See Also:
  Constant Field Values

### DOM_VK_F13

    public static final int DOM_VK_F13

See Also:
  Constant Field Values

### DOM_VK_F14

    public static final int DOM_VK_F14

See Also:
  Constant Field Values

### DOM_VK_F15

    public static final int DOM_VK_F15

See Also:
  Constant Field Values

### DOM_VK_F16

    public static final int DOM_VK_F16

See Also:
  Constant Field Values

### DOM_VK_F17

    public static final int DOM_VK_F17

See Also:
  Constant Field Values

### DOM_VK_F18

    public static final int DOM_VK_F18

See Also:
  Constant Field Values

### DOM_VK_F19

    public static final int DOM_VK_F19

See Also:
  Constant Field Values

### DOM_VK_F2

    public static final int DOM_VK_F2

See Also:
  Constant Field Values

### DOM_VK_F20

    public static final int DOM_VK_F20

See Also:
  Constant Field Values

### DOM_VK_F21

    public static final int DOM_VK_F21

See Also:
  Constant Field Values

### DOM_VK_F22

    public static final int DOM_VK_F22

See Also:
  Constant Field Values

### DOM_VK_F23

    public static final int DOM_VK_F23

See Also:
  Constant Field Values

### DOM_VK_F24

    public static final int DOM_VK_F24

See Also:
  Constant Field Values

### DOM_VK_F3

    public static final int DOM_VK_F3

See Also:
  Constant Field Values

### DOM_VK_F4

    public static final int DOM_VK_F4

See Also:
  Constant Field Values

### DOM_VK_F5

    public static final int DOM_VK_F5

See Also:
  Constant Field Values

### DOM_VK_F6

    public static final int DOM_VK_F6

See Also:
  Constant Field Values

### DOM_VK_F7

    public static final int DOM_VK_F7

See Also:
  Constant Field Values

### DOM_VK_F8

    public static final int DOM_VK_F8

See Also:
  Constant Field Values

### DOM_VK_F9

    public static final int DOM_VK_F9

See Also:
  Constant Field Values

### DOM_VK_FINAL

    public static final int DOM_VK_FINAL

See Also:
  Constant Field Values

### DOM_VK_FIND

    public static final int DOM_VK_FIND

See Also:
  Constant Field Values

### DOM_VK_FULL_WIDTH

    public static final int DOM_VK_FULL_WIDTH

See Also:
  Constant Field Values

### DOM_VK_G

    public static final int DOM_VK_G

See Also:
  Constant Field Values

### DOM_VK_GREATER

    public static final int DOM_VK_GREATER

See Also:
  Constant Field Values

### DOM_VK_H

    public static final int DOM_VK_H

See Also:
  Constant Field Values

### DOM_VK_HALF_WIDTH

    public static final int DOM_VK_HALF_WIDTH

See Also:
  Constant Field Values

### DOM_VK_HELP

    public static final int DOM_VK_HELP

See Also:
  Constant Field Values

### DOM_VK_HIRAGANA

    public static final int DOM_VK_HIRAGANA

See Also:
  Constant Field Values

### DOM_VK_HOME

    public static final int DOM_VK_HOME

See Also:
  Constant Field Values

### DOM_VK_I

    public static final int DOM_VK_I

See Also:
  Constant Field Values

### DOM_VK_INSERT

    public static final int DOM_VK_INSERT

See Also:
  Constant Field Values

### DOM_VK_INVERTED_EXCLAMATION_MARK

    public static final int DOM_VK_INVERTED_EXCLAMATION_MARK

See Also:
  Constant Field Values

### DOM_VK_J

    public static final int DOM_VK_J

See Also:
  Constant Field Values

### DOM_VK_JAPANESE_HIRAGANA

    public static final int DOM_VK_JAPANESE_HIRAGANA

See Also:
  Constant Field Values

### DOM_VK_JAPANESE_KATAKANA

    public static final int DOM_VK_JAPANESE_KATAKANA

See Also:
  Constant Field Values

### DOM_VK_JAPANESE_ROMAN

    public static final int DOM_VK_JAPANESE_ROMAN

See Also:
  Constant Field Values

### DOM_VK_K

    public static final int DOM_VK_K

See Also:
  Constant Field Values

### DOM_VK_KANA

    public static final int DOM_VK_KANA

See Also:
  Constant Field Values

### DOM_VK_KANJI

    public static final int DOM_VK_KANJI

See Also:
  Constant Field Values

### DOM_VK_KATAKANA

    public static final int DOM_VK_KATAKANA

See Also:
  Constant Field Values

### DOM_VK_KP_DOWN

    public static final int DOM_VK_KP_DOWN

See Also:
  Constant Field Values

### DOM_VK_KP_LEFT

    public static final int DOM_VK_KP_LEFT

See Also:
  Constant Field Values

### DOM_VK_KP_RIGHT

    public static final int DOM_VK_KP_RIGHT

See Also:
  Constant Field Values

### DOM_VK_KP_UP

    public static final int DOM_VK_KP_UP

See Also:
  Constant Field Values

### DOM_VK_L

    public static final int DOM_VK_L

See Also:
  Constant Field Values

### DOM_VK_LEFT

    public static final int DOM_VK_LEFT

See Also:
  Constant Field Values

### DOM_VK_LEFT_PARENTHESIS

    public static final int DOM_VK_LEFT_PARENTHESIS

See Also:
  Constant Field Values

### DOM_VK_LESS

    public static final int DOM_VK_LESS

See Also:
  Constant Field Values

### DOM_VK_M

    public static final int DOM_VK_M

See Also:
  Constant Field Values

### DOM_VK_META

    public static final int DOM_VK_META

See Also:
  Constant Field Values

### DOM_VK_MINUS

    public static final int DOM_VK_MINUS

See Also:
  Constant Field Values

### DOM_VK_MODECHANGE

    public static final int DOM_VK_MODECHANGE

See Also:
  Constant Field Values

### DOM_VK_MULTIPLY

    public static final int DOM_VK_MULTIPLY

See Also:
  Constant Field Values

### DOM_VK_N

    public static final int DOM_VK_N

See Also:
  Constant Field Values

### DOM_VK_NONCONVERT

    public static final int DOM_VK_NONCONVERT

See Also:
  Constant Field Values

### DOM_VK_NUM_LOCK

    public static final int DOM_VK_NUM_LOCK

See Also:
  Constant Field Values

### DOM_VK_NUMBER_SIGN

    public static final int DOM_VK_NUMBER_SIGN

See Also:
  Constant Field Values

### DOM_VK_NUMPAD0

    public static final int DOM_VK_NUMPAD0

See Also:
  Constant Field Values

### DOM_VK_NUMPAD1

    public static final int DOM_VK_NUMPAD1

See Also:
  Constant Field Values

### DOM_VK_NUMPAD2

    public static final int DOM_VK_NUMPAD2

See Also:
  Constant Field Values

### DOM_VK_NUMPAD3

    public static final int DOM_VK_NUMPAD3

See Also:
  Constant Field Values

### DOM_VK_NUMPAD4

    public static final int DOM_VK_NUMPAD4

See Also:
  Constant Field Values

### DOM_VK_NUMPAD5

    public static final int DOM_VK_NUMPAD5

See Also:
  Constant Field Values

### DOM_VK_NUMPAD6

    public static final int DOM_VK_NUMPAD6

See Also:
  Constant Field Values

### DOM_VK_NUMPAD7

    public static final int DOM_VK_NUMPAD7

See Also:
  Constant Field Values

### DOM_VK_NUMPAD8

    public static final int DOM_VK_NUMPAD8

See Also:
  Constant Field Values

### DOM_VK_NUMPAD9

    public static final int DOM_VK_NUMPAD9

See Also:
  Constant Field Values

### DOM_VK_O

    public static final int DOM_VK_O

See Also:
  Constant Field Values

### DOM_VK_OPEN_BRACKET

    public static final int DOM_VK_OPEN_BRACKET

See Also:
  Constant Field Values

### DOM_VK_P

    public static final int DOM_VK_P

See Also:
  Constant Field Values

### DOM_VK_PAGE_DOWN

    public static final int DOM_VK_PAGE_DOWN

See Also:
  Constant Field Values

### DOM_VK_PAGE_UP

    public static final int DOM_VK_PAGE_UP

See Also:
  Constant Field Values

### DOM_VK_PASTE

    public static final int DOM_VK_PASTE

See Also:
  Constant Field Values

### DOM_VK_PAUSE

    public static final int DOM_VK_PAUSE

See Also:
  Constant Field Values

### DOM_VK_PERIOD

    public static final int DOM_VK_PERIOD

See Also:
  Constant Field Values

### DOM_VK_PLUS

    public static final int DOM_VK_PLUS

See Also:
  Constant Field Values

### DOM_VK_PREVIOUS_CANDIDATE

    public static final int DOM_VK_PREVIOUS_CANDIDATE

See Also:
  Constant Field Values

### DOM_VK_PRINTSCREEN

    public static final int DOM_VK_PRINTSCREEN

See Also:
  Constant Field Values

### DOM_VK_PROPS

    public static final int DOM_VK_PROPS

See Also:
  Constant Field Values

### DOM_VK_Q

    public static final int DOM_VK_Q

See Also:
  Constant Field Values

### DOM_VK_QUOTE

    public static final int DOM_VK_QUOTE

See Also:
  Constant Field Values

### DOM_VK_QUOTEDBL

    public static final int DOM_VK_QUOTEDBL

See Also:
  Constant Field Values

### DOM_VK_R

    public static final int DOM_VK_R

See Also:
  Constant Field Values

### DOM_VK_RIGHT

    public static final int DOM_VK_RIGHT

See Also:
  Constant Field Values

### DOM_VK_RIGHT_PARENTHESIS

    public static final int DOM_VK_RIGHT_PARENTHESIS

See Also:
  Constant Field Values

### DOM_VK_ROMAN_CHARACTERS

    public static final int DOM_VK_ROMAN_CHARACTERS

See Also:
  Constant Field Values

### DOM_VK_S

    public static final int DOM_VK_S

See Also:
  Constant Field Values

### DOM_VK_SCROLL_LOCK

    public static final int DOM_VK_SCROLL_LOCK

See Also:
  Constant Field Values

### DOM_VK_SEMICOLON

    public static final int DOM_VK_SEMICOLON

See Also:
  Constant Field Values

### DOM_VK_SEPARATER

    public static final int DOM_VK_SEPARATER

See Also:
  Constant Field Values

### DOM_VK_SHIFT

    public static final int DOM_VK_SHIFT

See Also:
  Constant Field Values

### DOM_VK_SLASH

    public static final int DOM_VK_SLASH

See Also:
  Constant Field Values

### DOM_VK_SPACE

    public static final int DOM_VK_SPACE

See Also:
  Constant Field Values

### DOM_VK_STOP

    public static final int DOM_VK_STOP

See Also:
  Constant Field Values

### DOM_VK_SUBTRACT

    public static final int DOM_VK_SUBTRACT

See Also:
  Constant Field Values

### DOM_VK_T

    public static final int DOM_VK_T

See Also:
  Constant Field Values

### DOM_VK_TAB

    public static final int DOM_VK_TAB

See Also:
  Constant Field Values

### DOM_VK_U

    public static final int DOM_VK_U

See Also:
  Constant Field Values

### DOM_VK_UNDEFINED

    public static final int DOM_VK_UNDEFINED

See Also:
  Constant Field Values

### DOM_VK_UNDERSCORE

    public static final int DOM_VK_UNDERSCORE

See Also:
  Constant Field Values

### DOM_VK_UNDO

    public static final int DOM_VK_UNDO

See Also:
  Constant Field Values

### DOM_VK_UP

    public static final int DOM_VK_UP

See Also:
  Constant Field Values

### DOM_VK_V

    public static final int DOM_VK_V

See Also:
  Constant Field Values

### DOM_VK_W

    public static final int DOM_VK_W

See Also:
  Constant Field Values

### DOM_VK_X

    public static final int DOM_VK_X

See Also:
  Constant Field Values

### DOM_VK_Y

    public static final int DOM_VK_Y

See Also:
  Constant Field Values

### DOM_VK_Z

    public static final int DOM_VK_Z

See Also:
  Constant Field Values

### ctrlKey

    protected boolean ctrlKey

### altKey

    protected boolean altKey

### shiftKey

    protected boolean shiftKey

### metaKey

    protected boolean metaKey

### keyCode

    protected int keyCode

### charCode

    protected int charCode

Constructor Detail

### DOMKeyEvent

    public DOMKeyEvent()

Method Detail

### getCtrlKey

    public boolean getCtrlKey()

  Returns whether the 'ctrl' key was depressed during the firing of the event.

### getShiftKey

    public boolean getShiftKey()

  Returns whether the 'shift' key was depressed during the firing of the event.

### getAltKey

    public boolean getAltKey()

  Returns whether the 'alt' key was depressed during the firing of the event. On some platforms this key may map to an alternative key name.

### getMetaKey

    public boolean getMetaKey()

  Returns whether the 'meta' key was depressed during the firing of the event. On some platforms this key may map to an alternative key name.

### getKeyCode

    public int getKeyCode()

  Returns the virtual key code value of the key which was depressed if the event is a key event. Otherwise, the value returned is zero.

### getCharCode

    public int getCharCode()

  Returns the value of the Unicode character associated with the depressed key if the event is a key event. Otherwise, the value returned is zero.

### initKeyEvent

    public void initKeyEvent(String typeArg,
                             boolean canBubbleArg,
                             boolean cancelableArg,
                             boolean ctrlKeyArg,
                             boolean altKeyArg,
                             boolean shiftKeyArg,
                             boolean metaKeyArg,
                             int keyCodeArg,
                             int charCodeArg,
                             AbstractView viewArg)

  Initializes this KeyEvent.

  Parameters:
    `typeArg` - Specifies the event type.
    `canBubbleArg` - Specifies whether or not the event can bubble.
    `cancelableArg` - Specifies whether or not the event's default action can be prevent.
    `ctrlKeyArg` - Specifies whether or not control key was depressed during the `Event`.
    `altKeyArg` - Specifies whether or not alt key was depressed during the `Event`.
    `shiftKeyArg` - Specifies whether or not shift key was depressed during the `Event`.
    `metaKeyArg` - Specifies whether or not meta key was depressed during the `Event`.
    `keyCodeArg` - Specifies the `Event`'s `keyCode`
    `charCodeArg` - Specifies the `Event`'s `charCode`
    `viewArg` - Specifies the `Event`'s `AbstractView`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.